curl --request GET \
--url https://api.mintlify.com/v1/analytics/{projectId}/feedback \
--header 'Authorization: Bearer <token>'{
"feedback": [
{
"id": "<string>",
"path": "<string>",
"comment": "<string>",
"createdAt": "<string>",
"source": "code_snippet",
"status": "pending"
}
],
"nextCursor": "<string>",
"hasMore": true
}返回按页划分的用户反馈,并支持可选筛选条件
curl --request GET \
--url https://api.mintlify.com/v1/analytics/{projectId}/feedback \
--header 'Authorization: Bearer <token>'{
"feedback": [
{
"id": "<string>",
"path": "<string>",
"comment": "<string>",
"createdAt": "<string>",
"source": "code_snippet",
"status": "pending"
}
],
"nextCursor": "<string>",
"hasMore": true
}cursor 参数对结果进行分页。当 hasMore 为 true 时继续获取数据。
dateFrom 和 dateTo 将结果限定在特定时间段内code_snippet 或 contextual 等反馈来源类型进行筛选pending、in_progress、resolved 或 dismissedhelpful 布尔值和可选的 contact 邮箱code、filename 和 lang 字段Authorization 请求头需要使用 Bearer Token。请使用管理员 API key(以 mint_ 开头)。这是仅供服务端使用的密钥。你可以在控制台的 API keys 页面 中生成。
ISO 8601 或 YYYY-MM-DD 格式的日期
"2024-01-01"
ISO 8601 或 YYYY-MM-DD 格式的日期。dateTo 为不包含在内的上界。结果包括指定日期之前的所有日期,但不包括指定日期当天。
"2024-01-01"
按反馈来源进行筛选
code_snippet, contextual 用于筛选的以逗号分隔的状态列表
每页返回的最大结果数
1 <= x <= 100分页游标
此页面对您有帮助吗?